.custom-tree {
	min-height: 20px;
	padding: 19px;
	margin-bottom: 20px;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
}
.compact .custom-tree {
	min-height: 20px;
	padding: 0 10px;
	margin-bottom: 0;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
}

.folder-exp .feather {
	width: 18px;
	height: 18px;
	min-width: 18px;
	stroke-width: 2.3px;
	margin-top: 4px;
    margin-right: 4px;
    color: #566476;
    fill: rgba(27,46,75,0.06);
}
.folder-exp .feather-archive {
	width: 18px;
	height: 18px;
	min-width: 18px;
	stroke-width: 2.3px;
	margin-top: 2px;
    margin-right: 4px;
    color: #566476;
    fill: rgba(27,46,75,0.06);
}
.compact.folder-exp .feather{
	margin-top: 1px;
}


.compact .node-selected span{
	font-weight: 500;
    color: #0168fa;
}
.compact .node-selected .feather{
    color: #0168fa;
    fill: rgba(1,104,250,0.2);
}
.custom-tree li {
	list-style-type: none;
	margin: 0;
	padding: 10px 0px 0 5px;
	position: relative
}
.compact .custom-tree li {
	list-style-type: none;
	margin: 0;
	padding: 5px 0 0 5px;
	position: relative
}

.custom-tree li::before,
.custom-tree li::after {
	content: '';
	left: -20px;
	position: absolute;
	right: auto
}
.compact .custom-tree li::before{
	top : -4px;
}

.custom-tree li::before {
	border-left: 1px solid #999;
	bottom: 50px;
	height: 100%;
	top: 0;
	width: 1px
}

.custom-tree li::after {
	border-top: 1px solid #999;
	height: 20px;
	top: 30px;
	width: 25px
}

.custom-tree li span {
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border: 1px solid #dcdcdc;
	border-radius: 5px;
	padding: 2px 8px;
	text-decoration: none
}
.compact .custom-tree li span {
	border: 0;
	border-radius: 0;
	padding: 0;
}

.custom-tree .root>span {
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border: 1px solid #999;
	border-radius: 5px;
	padding: 4px 8px;
	text-decoration: none
}

.compact .custom-tree .root>span {
	border:none;
	border-radius: none;
	padding: 0;
}

.compact .custom-control{
	display: none !important;
}

.compact .custom-tree-holder{
	padding-left: 10px !important;
	margin-bottom: 10px;
}
.compact .children-of-parent{
	padding-left: 10px !important;
}
.custom-tree li.parent_li>span {
	cursor: pointer
}

.compact .custom-tree li::before, .compact .custom-tree li::after{
	left: -4px;
}

.compact .custom-tree li:last-child::before {
    height: 20px;
}

.compact .custom-tree li::after {
    border-top: 1px solid #999;
    height: 20px;
    top: 15px;
    width: 10px;
}

/* .custom-tree>ul>li::before,
    .custom-tree>ul>li::after {
        border: 0
    } */

.custom-tree li:last-child::before {
	height: 30px
}

.custom-tree li.parent_li>span:hover,
.custom-tree li.parent_li>span:hover+ul li span {
	background: #eee;
	border: 1px solid #94a0b4;
	color: #000
}

.custom-tree-name {
	cursor: pointer;
	flex : 1
}

.folder-exp .dropdown-link{
	opacity: 0;
	transition: all 0.3s;
	cursor: pointer;
}

.action-icon {
	opacity: 0;
	transition: all 0.3s;
	cursor: pointer;
}

.action-span {
	position: relative;
    width: 100%;
   display: flex;
}

.action-span:hover .action-icon {
	opacity: 1;
}
.action-span:hover .dropdown-link {
	opacity: 1;
}

.new-node span {
	    border-color: #7cb2fe;
    outline: 0;
    box-shadow: 0 0 0px 1px rgba(1, 104, 250, 0.25);
    border-radius: 1px !important;
    margin-left: 1px;
}

.add-folder{
	border-color: none;
	outline: 0;
	box-shadow: none !important;
}

.new-node input {
	border: none;
	outline: none;
	padding-left: 5px;
	width: 125px;
    height: 18px;
}

.node-loader {
	display: inline;
	position: absolute;
	right: -13px;
}

.custom-tree-name {
	border: none !important;
}

.li-nodes {
	display: none;
}

.select2-dropdown {
	z-index: 1000000 !important;
}

.tree-cb {
	display: inherit !important;
	margin-right: 5px;
	margin-left: -9px;
	padding-top: 4px;
}

.custom-checkbox .custom-control-label::before,
.custom-checkbox .custom-control-label::after,
.custom-radio .custom-control-label::before,
.custom-radio .custom-control-label::after,
.custom-switch .custom-control-label::before,
.custom-switch .custom-control-label::after {
	top: 45% !important;
	transform: translateY(-50%);
}

.tree-bc .breadcrumb-item {
	text-transform: none !important;
}

.span-selected {
	border-color: #7cb2fe;
	outline: 0;
	box-shadow: 0 0 0 0.2rem rgba(1, 104, 250, 0.25);
}

.filepond--panel-root{
	    border-radius: 0 !important;
}

.filepond--root{
	margin-bottom: 0 !important;
}

.filepond--drop-label{
	    border-bottom: 1px solid #e5e9f2;
}



.dropdown-item svg {
    width: 14px !important;
    height: 14px !important;
    stroke-width: 2.5px !important;
    margin-right: 10px !important;
    color: #8392a5 !important;;
}

.new-node .feather-x{
	margin-top: 3px;
	height: 12px;
	width: 12px;
}

.folder-breadcrumb .breadcrumb-item, .folder-breadcrumb a, .folder-breadcrumb .active{
	font-size: 14px !important;
    text-transform: none !important;

}

.folder-breadcrumb .feather{
	height: 18px;
	width: 18px;
	margin-top: -4px;
}

/* .langName{
	transition: height .15s linear;
	height: 0;
}

.langName.show{
	height: auto;
} */

.cke_editable_inline p{
	margin-bottom: 0 !important;
}

.cke_editable_inline{
	min-height: 40px;
	padding: 5px;
	border: 1px solid #cccccc;
	background: white;
}

.lang-question-holder{
	display: none;
}
.hide{
	display: none !important;
}

  .flex-item {
        display: flex;
    }

    .select-question-inputs .form-group {
        padding-left: 0;
        margin-right: 10px;
    }

    #addedQuestion tr td:nth-child(1) {
        max-width: 100px;
    }

    #addedQuestion_wrapper {
        overflow: auto;
    }

    .select-question-nav-item {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    #activateExamField {
        display: none;
    }

    #userFieldList {
        display: none;
    }

    .newExQ {
        max-width: 65rem;
    }

    .selectize-dropdown {
        position: absolute;
        z-index: 100000000000000000000000000 !important;
        /* adjust as necessary */
        border: 1px solid #d0d0d0;
        background: #ffffff;
        margin: -1px 0 0 0;
        border-top: 0 none;
    }

    .topicContainer small {
        position: absolute;
        bottom: -8px;
        display: none;
    }

	.topicContainer input {}
	


	.waves-effect.waves-brown .waves-ripple {
  background-color: rgba(32, 132, 212, 0.63);
}

.publish-success {
  display: none;
}

.tag-wise, .topic-wise, .topic-tag-wise {
  display: none;
}

.add-tag-div, .add-topic-div, .add-topic-tag-div {
  display: table;
  height: 75px;
  width: 100%;
  border: 1px solid #ddd;
  cursor: pointer;
  text-align: center;
}

.editHover {
  background: #E8F3FF !important;
}

.inline-editable:hover {
  background: #ffffff !important;
}

.btnSave-edit-win {
  width: 49%;
  background-color: #2bbbad;
  color: white;
  text-transform: uppercase;
  border: none;
  font-size: small;
  border-radius: 2px;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
  margin-right: 1%;
}

.inline-editable{
  cursor: pointer;
}

.btnDiscard-edit-win {
  width: 49%;
  background-color: #2bbbad;
  color: white;
  text-transform: uppercase;
  border: none;
  font-size: small;
  border-radius: 2px;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
  margin-right: 1%;
}

.autocomplete-content {
  position: absolute !important;
  width: -webkit-calc(100% - 23px) !important;
}

.add-tag-div:hover {
  background-color: lightgray;
}

.add-topic-div:hover {
  background-color: lightgray;
}

.add-topic-tag-div:hover {
  background-color: lightgray;
}

.div-valid:before {
  content: '✔';
  padding-right: 5px;
  color: #8BC34A;
  font-weight: 900;
}

.assign-exam .dropdown-content {
  overflow-x: hidden;
}

.div-invalid:before {
  content: '!';
  padding-right: 5px;
  color: #FF5722;
  font-weight: 900;
}

.div-disabled {
  cursor: default !important;
  color: #bdbdbd;
}

.div-disabled:hover {
  background-color: rgb(242, 242, 242) !important;
}

.div-disabled:active {
  background-color: rgb(242, 242, 242) !important;
}

table.dataTable.select tbody tr, table.dataTable thead th:first-child {
  cursor: pointer;
}

.wizard {
  max-width: 900px;
  margin: auto;
}

.wizard .wizardProgress {
  border-bottom: 1px solid #c3c3c3;
  display: flex;
  text-align: center;
}

.wizard .wizardProgress div {
  padding: 10px;
  background: rgba(0, 0, 0, 0.05);
  cursor: pointer;
  counter-increment: tabs;
}

.wizard .wizardProgress div:hover {
  background: rgba(0, 0, 0, 0.1);
  vertical-align: middle;
}


/*.wizard .wizardProgress div:before {
  content: counters(tabs,".") " ";
  display: inline-block;
  padding:0 10px;
  margin-right:5px;
  background: rgba(0, 0, 0, 0.1);
  border-radius:10px;
}*/

.wizard .wizardProgress div:after {
  content: '';
  height: 0;
  border: 50% solid green;
  display: block;
}

.wizard .wizardProgress div.selected {
  background: #ffffff;
  margin-bottom: -1px;
  margin-right: -1px;
  border: 1px solid #c3c3c3;
  font-weight: bold;
  border-bottom: none;
}

.wizard .wizardPanel {
  display: none;
}

.wizard .wizardPanel {
  padding: 10px;
  border-left: 1px solid #c3c3c3;
  border-right: 1px solid #c3c3c3;
}

.wizard .collapsible-body {
  background-color: whitesmoke;
  padding: 0;
}

.wizard .footer {
  text-align: right;
  padding: 10px;
  border-top: 1px solid rgba(0, 0, 0, 0.2);
}

.wizard .row {
  padding: 10px;
}

.wizard input {
  width: 100%;
}

.wizard .btn {
  margin-left: 10px;
}

.wiz-btn-holder {
  width: 80px
}

.wizard h1 {
  padding: 10px;
  font-size: x-large;
  font-weight: lighter;
}
.q-no-holder{
  position: absolute;
  bottom: 2px;
  left: 10px;
  color: green;
  font-size: small;
  transition: 300ms all;
  display: none;
}
